Bug 71380 - sis900.o does not work and can crash system
sis900.o does not work and can crash system
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-08-12 16:48 EDT by Randy Russell
Modified: 2013-03-06 00:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-14 15:59:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
latest sis900.c with new hw support (64.82 KB, text/plain)
2002-11-06 04:42 EST, Arjan van de Ven
no flags Details
corresponding .h file (9.45 KB, text/plain)
2002-11-06 04:43 EST, Arjan van de Ven
no flags Details

  None (edit)
Description Randy Russell 2002-08-12 16:48:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
On a test system that uses the sis900 chipset for networking, the sis900 module
for the Advanced Server kernel will not load.  In addition, some operations that
try to load or use the module can induce a kernel panic.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot using kernel-2.4.9-e.{5,8}
2.Execute mii-tool
3.Boot using kernel-2.4.9-e.{5,8}
4.Execute reboot


Actual Results:  1./etc/rc.d/init.d/network start fails when it attempts to
initialize eth0

2.Execution of mii-tool induces a kernel panic.

3./etc/rc.d/init.d/network start fails when it attempts to initialize eth0

4./etc/rc.d/init.d/network stop induces a kernel panic.

Expected Results:  1.Successful load of sis900.o and network initialization
2.mii-tool reports link status, etc.
3.Successful load of sis900.0 and network initialization
4.Successful reboot of system

Additional info:

Red Hat Linux v7.3 kernels (kernel-2.4.18-{3,5}) work fine and provide the
expected results, but these systems must run AS2.1 and the associated kernels. 
I can provide additional information and access to one of the systems on which
the problem occurs.
Comment 1 Tim Burke 2002-08-19 18:41:29 EDT
(Additional info excerpted from an email.)

I mentioned the bug that I've referenced in this email's subject to you.
Hardware is proving to be an ongoing headache in trying to put together
the course that includes cluster manager and friends.  

The first set of 1U rackmounts had a Cyrix-derived CPU.  RHL v7.2 and RHL 
v7.3 run fine, but AS 2.1 would not even install because of a missing 
instruction (cmov).  I sent them back to the manufacturer, who replaced the
motherboard and CPU.  Now we have a new problem:  networking does not and
cannot work.  The sis900 module will not load.  Under v7.3, it loads and
works fine.  Under RHL v7.2 and AS 2.1, it does not.  The bugzilla report
is a bit inaccurate, in that it reports the behavior of the AS kernel on
an RHL system.  This is necessary, as without network support I do not
have a way to install AS on the system.

This is a big problem for us.  I do not want to have to replace all the
motherboards again.  If we could get a kernel RPM that replaces the
sis900.o with the one we ship with v7.3, this problem would be solved.  
I started building one before going to LinuxWorld, but this is turning
into a bigger task than I can undertake.  Do you think there is any 
possibility of someone giving us a hand?

Comment 2 Randy Russell 2002-08-21 10:46:27 EDT
I've managed to rebuild the 2.4.9-e.8 kernel RPMs with the sis900 support from
2.4.18, so our situation in GLS is not as urgent as was described in Tim's
email.  Still, a fix that is blessed by engineering is probably better than what
I have cobbled together.
Comment 3 Jeff Garzik 2002-10-25 13:58:02 EDT
Assigned to jbaron, who can do the merge of stock kernel sis900 into Advanced
Comment 4 Arjan van de Ven 2002-11-06 04:41:25 EST
need to merge newer than stock; stock is lacking support for newer sis900
chipsets (notably the one on the newer asus boards); if we're going to uprev
this driver we should go all the way
Comment 5 Arjan van de Ven 2002-11-06 04:42:25 EST
Created attachment 83824 [details]
latest sis900.c with new hw support
Comment 6 Arjan van de Ven 2002-11-06 04:43:52 EST
Created attachment 83825 [details]
corresponding .h file
Comment 7 John Flanagan 2003-02-14 15:59:29 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.